Export Consolidation Journals
This REST API is used to execute an Export Consolidation Journals job using the job name. Before executing this job, you should create an Export Consolidation Journals job in Financial Consolidation and Close.
For details on this task, see "Exporting Consolidation Journals" in Working with Financial Consolidation and Close.
This REST API returns the job ID after starting the Export Consolidation Journals job.
REST Resource
POST
/HyperionPlanning/rest/{api_version}/applications/{application}/jobs
Required Roles
Service Administrator
Any user with User role and above can export journals, but only if they have write/read access to the dimension members. For any line in the journal where a user has None access to a member, the data is blank for that line.
Request
Supported Media Types: application/json
Table 19-11 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are working with: v3 |
Path | Yes | None |
application |
The name of the application Get the application name by using the Get Applications API. See Get Applications. |
Path | Yes | None |
jobName |
Name of the job should be: |
String | Yes | None |
jobType |
Type of Job. Supported value: |
String | Yes | None |
fileName |
Name of the file into which the journal entries are to be exported |
String | Yes | None |
Example of Request Body
{
"jobType": "EXPORT_JOURNAL,
"jobName": "Export Journal",
"parameters": {
"fileName": "JExport1"
}
}
Response Body
Supported Media Types: application/json
Table 19-12 Parameters
| Name | Description |
|---|---|
status |
Status of the job: -1 =In progress; 0 = Success; 1 = Fail |
details |
In case of errors, details are published with the error string. |
descriptiveStatus |
The status of the job, such as Completed or Error |
items |
Collection of Notification categories |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type. Possible values: self |
Example of Response Body:
The following shows an example of the response body in JSON format.
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/rest/v3/applications/FccsRef3/jobs/184",
"action": "GET"
},
{
"rel": "job-details",
"href": "https:<BASE-URL>/rest/v3/applications/FccsRef3/jobs/184/details",
"action": "GET"
}
],
"descriptiveStatus": "Processing",
"status": -1,
"jobId": 184,
"jobName": "JExport1",
"details": null
}